<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <title>Three.js</title>
        <style>
            body {
                margin: 0;
                color: #fff;
                font-family: sans-serif;
                overflow-x: hidden;
            }

            canvas {
                position: fixed;
                top: 0;
                left: 0;
            }

            main {
                position: relative;
                z-index: 99;
                margin-left: 50vw;
                width: 50vw;
                /* pointer-events: none; */
            }

            section {
                display: flex;
                flex-direction: column;
                justify-content: center;
                padding: 1.25rem;
                min-height: 100vh;
                font-size: 4vh;
                text-align: center;
                box-sizing: border-box;
            }

            #scrollProgress {
                position: fixed;
                z-index: 99;
                bottom: 0.625rem;
                left: 0.625rem;
                font-size: 3vh;
            }

            .annotationLabel {
                color: #fff;
                font-size: 1rem;
                font-family: sans-serif;
                pointer-events: none;
            }

            .annotationDescription {
                display: none;
                position: absolute;
                left: 1.5rem;
                border-radius: 0.25rem;
                padding: 0.625rem;
                width: 200px;
                background-color: rgba(0, 0, 0, 0.66);
                color: #fff;
                font-size: 0.875rem;
                font-family: sans-serif;
                box-sizing: border-box;
                pointer-events: none;
                transition: opacity 0.5s;
            }
        </style>
    </head>

    <body>
        <span id="scrollProgress"></span>
        <main>
            <section>
                <h1>Three.js</h1>
            </section>
            <section>
                <h2>Oh waw !</h2>
                <p>Let's have a closer look</p>
            </section>

            <section>
                <h2>Wanna see more ?</h2>
                <p>Yeeeeeah !</p>
            </section>

            <section>
                <h2>Back to center</h2>
            </section>

            <section></section>
        </main>

        <script type="module" src="bundle.js"></script>
    </body>
</html>